/*
 * Copyright (c) 2022 Honeywell International, Inc. All rights reserved.
 * This file contains trade secrets of Honeywell International, Inc. No part
 * may be reproduced or transmitted in any form by any means or for any
 * purpose without the express written permission of Honeywell.
 */
package com.honeywell.honplantcontroller.hmi.comm;

import javax.baja.bacnet.BacnetException;

public interface IConfirmedPrivateTransferSender {

    /**
     *
     * @param serviceID bacnet private transfer service id
     * @param rawMsg    message as byte array
     */
    public void sendConfirmedPrivateTransferMessage(int serviceID, byte[] rawMsg) throws BacnetException;
}
