/*
 *  Copyright (c) 2022 Honeywell International, Inc. All rights reserved.
 *
 *  This file contains trade secrets of Honeywell International, Inc.  No part 
 *  may be reproduced or transmitted in any form by any means or for any 
 *  purpose without the express written permission of Honeywell.
 */

package com.honeywell.honplantcontroller.hmi.messages;

import javax.baja.bacnet.io.AsnException;

import com.tridium.bacnet.asn.AsnInputStream;

public class VerifyCertAckMessage {

    public VerifyCertAckMessage(byte[] rawData) {
        this.rawData = rawData;
    }
    public byte[] getBytes() throws AsnException {

        AsnInputStream in = new AsnInputStream(rawData);

        return in.readOctetString();
    }
    public static byte[] getPayload(byte[] rawMessage) throws AsnException {

        AsnInputStream in = new AsnInputStream(rawMessage);

        return in.readOctetString();
    }
    private byte[] rawData;
}
