/*
 *  Copyright (c) 2022 Honeywell International, Inc. All rights reserved.
 *
 *  This file contains trade secrets of Honeywell International, Inc.  No part 
 *  may be reproduced or transmitted in any form by any means or for any 
 *  purpose without the express written permission of Honeywell.
 */

package com.honeywell.honplantcontroller.hmi.messages;

import com.tridium.bacnet.asn.AsnOutputStream;

public class VerifyMstSecretMessage {
    public VerifyMstSecretMessage(byte[] rand) {
        this.rand = rand;
    }
    public byte[] getBytes() {

        AsnOutputStream asnOutputStream = new AsnOutputStream();

        asnOutputStream.writeOctetString(rand);

        return asnOutputStream.toByteArray();
    }



    public byte[] getRand(){return rand;}

    private byte[] rand;
}

