/*
 * Copyright (c) 2022 Honeywell International, Inc. All rights reserved.
 *
 * This file contains trade secrets of Honeywell International, Inc. No part may be reproduced or
 * transmitted in any form by any means or for any purpose without the express written permission of
 * Honeywell.
 */

package com.honeywell.honplantcontroller.hmi.utils;

import javax.baja.nre.annotations.NiagaraProperty;
import javax.baja.nre.annotations.NiagaraType;
import javax.baja.sys.BComponent;
import javax.baja.sys.Property;
import javax.baja.sys.Sys;
import javax.baja.sys.Type;


@NiagaraProperty(
  name = "fileName",
  type = "String",
  defaultValue = ""
)
@NiagaraProperty(
  name = "binaryString",
  type = "String",
  defaultValue = ""
)
@NiagaraType
public class BHMIFirmwareDownloadConfig
  extends BComponent
{
/*+ ------------ BEGIN BAJA AUTO GENERATED CODE ------------ +*/
/*@ $com.honeywell.honplantcontroller.hmi.utils.BHMIFirmwareDownloadConfig(3457711380)1.0$ @*/
/* Generated Tue Mar 15 11:09:24 CET 2022 by Slot-o-Matic (c) Tridium, Inc. 2012 */

////////////////////////////////////////////////////////////////
// Property "fileName"
////////////////////////////////////////////////////////////////
  
  /**
   * Slot for the {@code fileName} property.
   * @see #getFileName
   * @see #setFileName
   */
  public static final Property fileName = newProperty(0, "", null);
  
  /**
   * Get the {@code fileName} property.
   * @see #fileName
   */
  public String getFileName() { return getString(fileName); }
  
  /**
   * Set the {@code fileName} property.
   * @see #fileName
   */
  public void setFileName(String v) { setString(fileName, v, null); }

////////////////////////////////////////////////////////////////
// Property "binaryString"
////////////////////////////////////////////////////////////////
  
  /**
   * Slot for the {@code binaryString} property.
   * @see #getBinaryString
   * @see #setBinaryString
   */
  public static final Property binaryString = newProperty(0, "", null);
  
  /**
   * Get the {@code binaryString} property.
   * @see #binaryString
   */
  public String getBinaryString() { return getString(binaryString); }
  
  /**
   * Set the {@code binaryString} property.
   * @see #binaryString
   */
  public void setBinaryString(String v) { setString(binaryString, v, null); }

////////////////////////////////////////////////////////////////
// Type
////////////////////////////////////////////////////////////////
  
  @Override
  public Type getType() { return TYPE; }
  public static final Type TYPE = Sys.loadType(BHMIFirmwareDownloadConfig.class);

/*+ ------------ END BAJA AUTO GENERATED CODE -------------- +*/

  public static BHMIFirmwareDownloadConfig make()
  {
    return new BHMIFirmwareDownloadConfig();
  }

  public static BHMIFirmwareDownloadConfig make(String fileName, String binaryString)
  {
    BHMIFirmwareDownloadConfig temp = new BHMIFirmwareDownloadConfig();
    temp.setFileName(fileName);
    temp.setBinaryString(binaryString);
    return temp;
  }
}
