/*
Copyright (c) 2022 Honeywell International, Inc. All rights reserved.
This file contains trade secrets of Honeywell International, Inc. No part
may be reproduced or transmitted in any form by any means or for any
purpose without the express written permission of Honeywell.
*/
package com.honeywell.honplantcontroller.hmi.view;

import javax.baja.naming.BOrd;
import javax.baja.nre.annotations.NiagaraProperty;
import javax.baja.nre.annotations.NiagaraType;
import javax.baja.sys.BComponent;
import javax.baja.sys.Property;
import javax.baja.sys.Sys;
import javax.baja.sys.Type;

@NiagaraProperty(
        name="objectOrd",
        type="BOrd",
        defaultValue = "BOrd.NULL"
)
@NiagaraType
public class BFalAssignment extends BComponent {
/*+ ------------ BEGIN BAJA AUTO GENERATED CODE ------------ +*/
/*@ $com.honeywell.honplantcontroller.hmi.view.BFalAssignment(2835639609)1.0$ @*/
/* Generated Fri Feb 25 11:28:02 CET 2022 by Slot-o-Matic (c) Tridium, Inc. 2012 */

////////////////////////////////////////////////////////////////
// Property "objectOrd"
////////////////////////////////////////////////////////////////
  
  /**
   * Slot for the {@code objectOrd} property.
   * @see #getObjectOrd
   * @see #setObjectOrd
   */
  public static final Property objectOrd = newProperty(0, BOrd.NULL, null);
  
  /**
   * Get the {@code objectOrd} property.
   * @see #objectOrd
   */
  public BOrd getObjectOrd() { return (BOrd)get(objectOrd); }
  
  /**
   * Set the {@code objectOrd} property.
   * @see #objectOrd
   */
  public void setObjectOrd(BOrd v) { set(objectOrd, v, null); }

////////////////////////////////////////////////////////////////
// Type
////////////////////////////////////////////////////////////////
  
  @Override
  public Type getType() { return TYPE; }
  public static final Type TYPE = Sys.loadType(BFalAssignment.class);

/*+ ------------ END BAJA AUTO GENERATED CODE -------------- +*/

    public BFalAssignment()
    {
    }

    public BFalAssignment(BOrd objectOrd)
    {
        setObjectOrd(objectOrd);
    }

    public String _displayName = "";
    public String _type = "";
}
