/*
 * Copyright (c) 2022 Honeywell International, Inc. All rights reserved.
 * This file contains trade secrets of Honeywell International, Inc. No part
 * may be reproduced or transmitted in any form by any means or for any
 * purpose without the express written permission of Honeywell.
 */

package com.honeywell.honplantcontroller.hmi.comm;

/**
 * Abstraction Layer for a bacnet unconfirmed private transfer message sender
 */
public interface IUnconfirmedPrivateTransferSender {
    
    /**
     * 
     * @param serviceID bacnet private transfer service id
     * @param rawMsg    message as byte array
     */
    public void sendUnconfirmedPrivateTransferMessage(int serviceID, byte[] rawMsg);
}
