package com.honeywell.honplantcontroller.hmi.enums;

import javax.baja.nre.annotations.NiagaraEnum;
import javax.baja.nre.annotations.NiagaraType;
import javax.baja.nre.annotations.Range;
import javax.baja.sys.BFrozenEnum;
import javax.baja.sys.Sys;
import javax.baja.sys.Type;

@NiagaraEnum(
    range = {
        @Range(value = "ok", ordinal = 0x0),
        @Range(value = "startIndexOutOfRange", ordinal = 0x01),
        @Range(value = "stopIndexOutOfRange", ordinal = 0x02),
        @Range(value = "noAlarmsFound", ordinal = 0x03),
        
    }
)


@SuppressWarnings({"squid:S1845"})
@NiagaraType
public final class BHMIAlarmResultError extends BFrozenEnum {
/*+ ------------ BEGIN BAJA AUTO GENERATED CODE ------------ +*/
/*@ $com.honeywell.honplantcontroller.hmi.enums.BHMIAlarmResultError(2227742844)1.0$ @*/
/* Generated Tue Mar 01 19:43:21 IST 2022 by Slot-o-Matic (c) Tridium, Inc. 2012 */
  
  /** Ordinal value for ok. */
  public static final int OK = 0;
  /** Ordinal value for startIndexOutOfRange. */
  public static final int START_INDEX_OUT_OF_RANGE = 1;
  /** Ordinal value for stopIndexOutOfRange. */
  public static final int STOP_INDEX_OUT_OF_RANGE = 2;
  /** Ordinal value for noAlarmsFound. */
  public static final int NO_ALARMS_FOUND = 3;
  
  /** BHMIAlarmResultError constant for ok. */
  public static final BHMIAlarmResultError ok = new BHMIAlarmResultError(OK);
  /** BHMIAlarmResultError constant for startIndexOutOfRange. */
  public static final BHMIAlarmResultError startIndexOutOfRange = new BHMIAlarmResultError(START_INDEX_OUT_OF_RANGE);
  /** BHMIAlarmResultError constant for stopIndexOutOfRange. */
  public static final BHMIAlarmResultError stopIndexOutOfRange = new BHMIAlarmResultError(STOP_INDEX_OUT_OF_RANGE);
  /** BHMIAlarmResultError constant for noAlarmsFound. */
  public static final BHMIAlarmResultError noAlarmsFound = new BHMIAlarmResultError(NO_ALARMS_FOUND);
  
  /** Factory method with ordinal. */
  public static BHMIAlarmResultError make(int ordinal)
  {
    return (BHMIAlarmResultError)ok.getRange().get(ordinal, false);
  }
  
  /** Factory method with tag. */
  public static BHMIAlarmResultError make(String tag)
  {
    return (BHMIAlarmResultError)ok.getRange().get(tag);
  }
  
  /** Private constructor. */
  private BHMIAlarmResultError(int ordinal)
  {
    super(ordinal);
  }
  
  public static final BHMIAlarmResultError DEFAULT = ok;

////////////////////////////////////////////////////////////////
// Type
////////////////////////////////////////////////////////////////
  
  @Override
  public Type getType() { return TYPE; }
  public static final Type TYPE = Sys.loadType(BHMIAlarmResultError.class);

/*+ ------------ END BAJA AUTO GENERATED CODE -------------- +*/
    
}
