package com.honeywell.honplantcontroller.hmi.enums;

import javax.baja.nre.annotations.NiagaraEnum;
import javax.baja.nre.annotations.NiagaraType;
import javax.baja.nre.annotations.Range;
import javax.baja.sys.BFrozenEnum;
import javax.baja.sys.Sys;
import javax.baja.sys.Type;

@NiagaraEnum(
  range = {
    @Range(value = "datapoints", ordinal = 0x0001),
    @Range(value = "schedules", ordinal = 0x0002),
    @Range(value = "user", ordinal = 0x0004),
    @Range(value = "alarmPriority", ordinal = 0x0005)
  }
)

@SuppressWarnings({"squid:S1845"})
@NiagaraType
public final class BHMISyncCategory extends BFrozenEnum {
/*+ ------------ BEGIN BAJA AUTO GENERATED CODE ------------ +*/
/*@ $com.honeywell.honplantcontroller.hmi.enums.BHMISyncCategory(4170578923)1.0$ @*/
/* Generated Wed Jun 29 10:10:09 CEST 2022 by Slot-o-Matic (c) Tridium, Inc. 2012 */
  
  /** Ordinal value for datapoints. */
  public static final int DATAPOINTS = 1;
  /** Ordinal value for schedules. */
  public static final int SCHEDULES = 2;
  /** Ordinal value for user. */
  public static final int USER = 4;
  /** Ordinal value for alarmPriority. */
  public static final int ALARM_PRIORITY = 5;
  
  /** BHMISyncCategory constant for datapoints. */
  public static final BHMISyncCategory datapoints = new BHMISyncCategory(DATAPOINTS);
  /** BHMISyncCategory constant for schedules. */
  public static final BHMISyncCategory schedules = new BHMISyncCategory(SCHEDULES);
  /** BHMISyncCategory constant for user. */
  public static final BHMISyncCategory user = new BHMISyncCategory(USER);
  /** BHMISyncCategory constant for alarmPriority. */
  public static final BHMISyncCategory alarmPriority = new BHMISyncCategory(ALARM_PRIORITY);
  
  /** Factory method with ordinal. */
  public static BHMISyncCategory make(int ordinal)
  {
    return (BHMISyncCategory)datapoints.getRange().get(ordinal, false);
  }
  
  /** Factory method with tag. */
  public static BHMISyncCategory make(String tag)
  {
    return (BHMISyncCategory)datapoints.getRange().get(tag);
  }
  
  /** Private constructor. */
  private BHMISyncCategory(int ordinal)
  {
    super(ordinal);
  }
  
  public static final BHMISyncCategory DEFAULT = datapoints;

////////////////////////////////////////////////////////////////
// Type
////////////////////////////////////////////////////////////////
  
  @Override
  public Type getType() { return TYPE; }
  public static final Type TYPE = Sys.loadType(BHMISyncCategory.class);

/*+ ------------ END BAJA AUTO GENERATED CODE -------------- +*/

}
