package com.honeywell.honplantcontroller.hmi.enums;

import javax.baja.nre.annotations.NiagaraEnum;
import javax.baja.nre.annotations.NiagaraType;
import javax.baja.nre.annotations.Range;
import javax.baja.sys.BFrozenEnum;
import javax.baja.sys.Sys;
import javax.baja.sys.Type;

@NiagaraEnum(
  range = {
    @Range(value = "inSync", ordinal = 0),
    @Range(value = "outOfSync", ordinal = 1)
  },
  defaultValue="outOfSync"
)
@NiagaraType
public final class BHMISyncStatus extends BFrozenEnum{
/*+ ------------ BEGIN BAJA AUTO GENERATED CODE ------------ +*/
/*@ $com.honeywell.honplantcontroller.hmi.enums.BHMISyncStatus(4126123316)1.0$ @*/
/* Generated Tue Apr 19 19:53:53 IST 2022 by Slot-o-Matic (c) Tridium, Inc. 2012 */
  
  /** Ordinal value for inSync. */
  public static final int IN_SYNC = 0;
  /** Ordinal value for outOfSync. */
  public static final int OUT_OF_SYNC = 1;
  
  /** BHMISyncStatus constant for inSync. */
  public static final BHMISyncStatus inSync = new BHMISyncStatus(IN_SYNC);
  /** BHMISyncStatus constant for outOfSync. */
  public static final BHMISyncStatus outOfSync = new BHMISyncStatus(OUT_OF_SYNC);
  
  /** Factory method with ordinal. */
  public static BHMISyncStatus make(int ordinal)
  {
    return (BHMISyncStatus)inSync.getRange().get(ordinal, false);
  }
  
  /** Factory method with tag. */
  public static BHMISyncStatus make(String tag)
  {
    return (BHMISyncStatus)inSync.getRange().get(tag);
  }
  
  /** Private constructor. */
  private BHMISyncStatus(int ordinal)
  {
    super(ordinal);
  }
  
  public static final BHMISyncStatus DEFAULT = outOfSync;

////////////////////////////////////////////////////////////////
// Type
////////////////////////////////////////////////////////////////
  
  @Override
  public Type getType() { return TYPE; }
  public static final Type TYPE = Sys.loadType(BHMISyncStatus.class);

/*+ ------------ END BAJA AUTO GENERATED CODE -------------- +*/

}
