/*
Copyright (c) 2022 Honeywell International, Inc. All rights reserved.
This file contains trade secrets of Honeywell International, Inc. No part
may be reproduced or transmitted in any form by any means or for any
purpose without the express written permission of Honeywell.
*/

package com.honeywell.honplantcontroller.hmi.job;


import javax.baja.job.BSimpleJob;
import javax.baja.nre.annotations.NiagaraType;
import javax.baja.sys.Context;
import javax.baja.sys.Sys;
import javax.baja.sys.Type;

import com.honeywell.honplantcontroller.hmi.service.BHonPlantControllerHMI;


@NiagaraType
public abstract class BBaseHMIJob
    extends BSimpleJob {
/*+ ------------ BEGIN BAJA AUTO GENERATED CODE ------------ +*/
/*@ $com.honeywell.honplantcontroller.hmi.job.BBaseHMIJob(2979906276)1.0$ @*/
/* Generated Fri Feb 25 10:43:48 CET 2022 by Slot-o-Matic (c) Tridium, Inc. 2012 */

////////////////////////////////////////////////////////////////
// Type
////////////////////////////////////////////////////////////////
  
  @Override
  public Type getType() { return TYPE; }
  public static final Type TYPE = Sys.loadType(BBaseHMIJob.class);

/*+ ------------ END BAJA AUTO GENERATED CODE -------------- +*/

  public BBaseHMIJob() {
    this.service = null;
  }

  public BBaseHMIJob(BHonPlantControllerHMI service) {
    this.service = service;
  }

  @Override
  public abstract void run(Context context) throws Exception; 

  @Override
  public abstract void doCancel(Context context);

  //Attributes
  protected BHonPlantControllerHMI service;

  
}
