/*
Copyright (c) 2022 Honeywell International, Inc. All rights reserved.
This file contains trade secrets of Honeywell International, Inc. No part
may be reproduced or transmitted in any form by any means or for any
purpose without the express written permission of Honeywell.
*/
package com.honeywell.honplantcontroller.hmi.view;

import javax.baja.nre.annotations.NiagaraProperty;
import javax.baja.nre.annotations.NiagaraType;
import javax.baja.sys.BBoolean;
import javax.baja.sys.BComponent;
import javax.baja.sys.Flags;
import javax.baja.sys.Property;
import javax.baja.sys.Sys;
import javax.baja.sys.Type;

@NiagaraProperty(
        name="updateIntervalMillis",
        type="long",
        defaultValue = "Long.MAX_VALUE",
        flags= Flags.HIDDEN
)

@NiagaraProperty(
        name="nameFilter",
        type="String",
        defaultValue = "*",
        flags= Flags.HIDDEN
)

@NiagaraProperty(
        name="forceUpdate",
        type="BBoolean",
        defaultValue = "BBoolean.DEFAULT",
        flags= Flags.HIDDEN
)
@NiagaraType
public abstract class BHMIView extends BComponent {
/*+ ------------ BEGIN BAJA AUTO GENERATED CODE ------------ +*/
/*@ $com.honeywell.honplantcontroller.hmi.view.BHMIView(462312181)1.0$ @*/
/* Generated Fri Feb 25 14:38:17 CET 2022 by Slot-o-Matic (c) Tridium, Inc. 2012 */

////////////////////////////////////////////////////////////////
// Property "updateIntervalMillis"
////////////////////////////////////////////////////////////////
  
  /**
   * Slot for the {@code updateIntervalMillis} property.
   * @see #getUpdateIntervalMillis
   * @see #setUpdateIntervalMillis
   */
  public static final Property updateIntervalMillis = newProperty(Flags.HIDDEN, Long.MAX_VALUE, null);
  
  /**
   * Get the {@code updateIntervalMillis} property.
   * @see #updateIntervalMillis
   */
  public long getUpdateIntervalMillis() { return getLong(updateIntervalMillis); }
  
  /**
   * Set the {@code updateIntervalMillis} property.
   * @see #updateIntervalMillis
   */
  public void setUpdateIntervalMillis(long v) { setLong(updateIntervalMillis, v, null); }

////////////////////////////////////////////////////////////////
// Property "nameFilter"
////////////////////////////////////////////////////////////////
  
  /**
   * Slot for the {@code nameFilter} property.
   * @see #getNameFilter
   * @see #setNameFilter
   */
  public static final Property nameFilter = newProperty(Flags.HIDDEN, "*", null);
  
  /**
   * Get the {@code nameFilter} property.
   * @see #nameFilter
   */
  public String getNameFilter() { return getString(nameFilter); }
  
  /**
   * Set the {@code nameFilter} property.
   * @see #nameFilter
   */
  public void setNameFilter(String v) { setString(nameFilter, v, null); }

////////////////////////////////////////////////////////////////
// Property "forceUpdate"
////////////////////////////////////////////////////////////////
  
  /**
   * Slot for the {@code forceUpdate} property.
   * @see #getForceUpdate
   * @see #setForceUpdate
   */
  public static final Property forceUpdate = newProperty(Flags.HIDDEN, ((BBoolean)(BBoolean.DEFAULT)).getBoolean(), null);
  
  /**
   * Get the {@code forceUpdate} property.
   * @see #forceUpdate
   */
  public boolean getForceUpdate() { return getBoolean(forceUpdate); }
  
  /**
   * Set the {@code forceUpdate} property.
   * @see #forceUpdate
   */
  public void setForceUpdate(boolean v) { setBoolean(forceUpdate, v, null); }

////////////////////////////////////////////////////////////////
// Type
////////////////////////////////////////////////////////////////
  
  @Override
  public Type getType() { return TYPE; }
  public static final Type TYPE = Sys.loadType(BHMIView.class);

/*+ ------------ END BAJA AUTO GENERATED CODE -------------- +*/
}
