/*
 * Copyright 2014, QuickLink Solutions - All Rights Reserved.
 */
package com.honeywell.platPanelbus;

import com.tridium.platform.BPlatformService;

import javax.baja.log.Log;
import javax.baja.nre.annotations.NiagaraType;
import javax.baja.sys.BIcon;
import javax.baja.sys.Sys;
import javax.baja.sys.Type;

/**
 * BPanelbusPlatformService - Insert description here.
 *
 * @author 		Alessandro Gastaldello
 * @creation 	31 July 2014
 * @version		$Revision: 1.1 $
 * @since			Baja 1.0
 *
 */
@NiagaraType
public abstract class BPanelbusPlatformService
  extends BPlatformService
{
  
/*+ ------------ BEGIN BAJA AUTO GENERATED CODE ------------ +*/
/*@ $com.honeywell.platPanelbus.BPanelbusPlatformService(2979906276)1.0$ @*/
/* Generated Mon Sep 20 10:14:45 CEST 2021 by Slot-o-Matic (c) Tridium, Inc. 2012 */

////////////////////////////////////////////////////////////////
// Type
////////////////////////////////////////////////////////////////
  
  @Override
  public Type getType() { return TYPE; }
  public static final Type TYPE = Sys.loadType(BPanelbusPlatformService.class);

/*+ ------------ END BAJA AUTO GENERATED CODE -------------- +*/

  /**
   * Empty constructor.
   */
  public BPanelbusPlatformService()
  {
    setPlatformServiceDescription(getLexicon().getText(getType().getTypeName() + ".description"));
  }

  public abstract int openPort(String portName, PanelbusListener listener);

  public abstract void closePort(int portIndex);

  public abstract void sendFrame(int portIndex, byte devType, byte address, byte data[]);

  public abstract boolean isEagleHawk();
  
  public Type[] getServiceTypes()
  {
    return (new Type[] { TYPE });
  }

  public BIcon getIcon()
  {
    return icon;
  }

//////////////////////////////////////////////////////////////
//Attributes
//////////////////////////////////////////////////////////////  
  
  private static final BIcon icon = BIcon.std("connections.png");
  protected static Log log = Log.getLog("plat.panelbus");
}